#ifndef Bilder_H
#define Bilder_H

#include <Klient.h>
#include <Text.h>
#include <Bild.h>
#include <BilderV.h>

using namespace Framework;

class Bilder : public BilderV
{
private:
	Text *name;
	Bild *bild;
	BilderV *next;

public:
	// Konstruktor
	Bilder();
	// Destruktor
	~Bilder();
	// nicht constant
	virtual bool add( const char *name, Bild *bild );
	virtual bool set( const char *name, Bild *bild );
	virtual bool lösche( const char *name );
	virtual void setNext( BilderV *next );
	virtual void deleteAll();
	virtual void release();
	// constant
	virtual Bild *get( const char *name ) const;
	virtual Bild *z( const char *name ) const;
	virtual Bild *zThis() const;
	virtual BilderV *zNext() const;
	virtual char *getName() const;
};

#endif